Bug 1478823 - openstacknet driver should not run on external network nics (conflicts with OVN)
openstacknet driver should not run on external network nics (conflicts with OVN)
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
high Severity medium (vote)
: ovirt-4.1.6
: 4.1.6.1
Assigned To: Marcin Mirecki
Mor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 04:09 EDT by Marcin Mirecki
Modified: 2017-09-19 06:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-19 06:02:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80155 master ABANDONED Openstacknet hooks must check provider type to run 2017-08-09 03:33 EDT
oVirt gerrit 80525 master MERGED Pass plugin type for each external network allocate request. 2017-08-30 02:24 EDT
oVirt gerrit 81191 ovirt-engine-4.1 MERGED engine: Pass plugin type for each external network allocate request. 2017-08-30 04:00 EDT

  None (edit)
Description Marcin Mirecki 2017-08-07 04:09:22 EDT
The openstacknet driver should not run/fail for nic managed by external providers.
The hook scripts of the openstacknet driver currenlty fail on checking the pluginType, which might not be present for external providers.
The hooks should exit right after checking that the provider type is not "OPENSTACK_NETWORK".

How to reproduce:
- install both openstacknet and an external provider (like the OVN provider)
- create an nic on the OVN provider, plug/unplug/migrate the nic
- the openstacknet hooks should not interfere with this
Comment 1 Mor 2017-09-11 05:22:04 EDT
Verified on RHV-H host:
ovirt-provider-ovn-driver-1.0-8.el7ev.noarch
Red Hat Virtualization Manager Version: 4.1.6.2-0.1.el7

VM hosted on the host with OVN network is able to run, and I am able to do hot-unpluing and hot-plug of vNIC.


Dom XML:
...
        <interface type="bridge">
            <address bus="0x00" domain="0x0000" function="0x0" slot="0x03" type="pci" />
            <mac address="00:1a:4a:16:20:c1" />
            <model type="virtio" />
            <source bridge="ovirtmgmt" />
            <filterref filter="vdsm-no-mac-spoofing" />
            <link state="up" />
            <bandwidth />
        </interface>
...
Comment 2 Mor 2017-09-11 05:23:10 EDT
(In reply to Mor from comment #1)
> Verified on RHV-H host:
> ovirt-provider-ovn-driver-1.0-8.el7ev.noarch
> Red Hat Virtualization Manager Version: 4.1.6.2-0.1.el7
> 
> VM hosted on the host with OVN network is able to run, and I am able to do
> hot-unpluing and hot-plug of vNIC.
> 
> 
> Dom XML:
> ...
>         <interface type="bridge">
>             <address bus="0x00" domain="0x0000" function="0x0" slot="0x03"
> type="pci" />
>             <mac address="00:1a:4a:16:20:c1" />
>             <model type="virtio" />
>             <source bridge="ovirtmgmt" />
>             <filterref filter="vdsm-no-mac-spoofing" />
>             <link state="up" />
>             <bandwidth />
>         </interface>
> ...

Just adding, the packages on the host were grabbed manually.

Note You need to log in before you can comment on or make changes to this bug.